Skip to content
Documentation

Update Organization

v2
OpenAPI 3.1.0

ClusterNest API

To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.

Client Libraries

organization

​
organization Operations

Update Organization

​

Path Parameters

  • Integer numbers.

Body·OrganizationCreate

required
application/json
  • Display name for the new organization.

Responses

  • application/json
  • application/json
Request Example for put/org/{organization_id}
curl /org/1 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": ""
}'
{
  "id": 1,
  "name": "string",
  "quota": {
    "basic": 1,
    "standard": 1,
    "advanced": 1
  },
  "used_quota": {
    "basic": 1,
    "standard": 1,
    "advanced": 1
  },
  "is_activated": true,
  "payment_status": "current"
}